Set a user's UI preferences ({id} may be "me")
PUT
/api/v1/users/{id}/preferences
const url = 'https://example.com/api/v1/users/example/preferences';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"extra":{"additionalProperty":"example"},"refreshIntervalMs":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/users/example/preferences \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "extra": { "additionalProperty": "example" }, "refreshIntervalMs": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
extra
object
key
additional properties
string
refreshIntervalMs
integer
Examplegenerated
{ "extra": { "additionalProperty": "example" }, "refreshIntervalMs": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
extra
object
key
additional properties
string
refreshIntervalMs
integer
Examplegenerated
{ "extra": { "additionalProperty": "example" }, "refreshIntervalMs": 1}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}